Subject: Number of DS0 entries

From: Dave Fowler <[email-masked]>
Date: Tue, 03 Feb 1998 16:41:47 -0500

Gary,

I agree with changing the range to 0..31 and clarifying about timeslot 0
and 16.  However, I am a bit unsure about the need to remove the 
range altogether.  Given the age of the ANSI T1 and ITU-T G standards
relating to this stuff, I am finding it hard to believe that a
larger range will be necessary.

Again, though, the question of breaking a DS3 into DS1s directly
does come into play.

My plan is to still state the rules regarding creation of
ds0s and ifStackTable entries in terms of the channelization.
(i.e. things are automatically created when channelization is
enabled and automatically deleted when channelization is disabled)

OK with you?  Any other comments?
David

> Number of DS0 entries
> ---------------------
> 
> I would like to request that the dsx0ChannelNumber be given a larger
> range, of at least 0..31.  It is certainly conceivable that someone
> may want to pass E1 timeslot 0 through some switched network, either
> to pass SA bits containing an E1-style FDL, or for some other purpose
> that we cannot foresee at this time.  Perhaps the agent can be allowed
> the option whether to create 30, 31, or 32 DS0 entries for each of its
> channelized E1 circuits, depending upon the selected framing format and
> on its own capabilities with regard to cross-connecting timeslot 0.
> 
> In any case, it would be easier to change the range to 0..31 now rather
> than later, when there may be religious debate about the propriety of
> expanding the range.
> 
> To accommodate channelization of larger aggregates (e.g., DS3 or higher),
> it would be more appropriate to remove the explicit INTEGER range for the
> dsx0ChannelNumber altogether.  This would allow for unforeseen expansion
> in the future without having to roll the DS0-MIB.  Appropriate text could
> be added to the DESCRIPTION to indicate the intent of the numbering plan
> for DS1 and E1 interfaces.  For example:
> 
>   "For DS1 interfaces, the channel numbers can range from 1 to 24.  For
>   E1 interfaces, the channel numbers can range from 0 to 31, and it is an
>   implementation choice whether entries in this table exist for channel 0
>   and channel 16.  For direct DS0 channelization of other interfaces, such
>   as ds3(30), the channel number assignments are implementation-specific."
> 
> In addition, I think it would be important to explicitly state that
> the agent must automatically create the ifStackTable entries for the
> various ds0 ifTable entries that it stacks over each ds1 ifTable entry.
> 

-- 
David Fowler                                   email:
[email-masked]
Newbridge Networks Corporation                 voice: (613) 599-3600 
ext.6559
600 March Rd, Kanata, Ontario, Canada K2K 2E6  fax:   (613) 599-3619